Subject: FW: Limit skb to be less than 64K with TSO

From: "Alan Shih" <[email-masked]>
Date: Tue, 22 Jul 2003 10:18:32 -0700

I am lost at the following situation:

Env:
I am writing driver + smart NIC's firmware.  The smart NIC has limited
memory. It can do checksum and TSO but with 32K max.

Problem:
SKB may be 64K in size when it reaches the driver. I cannot push all 64K to
the NIC to do checksum.  Is there a way to limit the network stack to give
me only 32K or smaller segments?  If I do checksum in the main processor, it
defeats the purpose.

TIA

Alan